ru.bitel.bgbilling.kernel.event.events

## Class AdditionalActionEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.AdditionalActionEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AdditionalActionEvent
      extends LocalEvent

  Сихронное событие - обработка доп. действия для договора.
  Обработка дополнительного действия договора вызванного либо в карточке договора, либо через Web-статистику. Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AdditionalActionEvent()`
    `` | `AdditionalActionEvent(int cid, int actionId, int userId)` Констркутор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addReport(java.lang.String value)` Добавление текста в отчет по выполнению действия.
    `int` | `getActionId()` Возвращает код доп. действия договора.
    `java.lang.String` | `getReport()` Возвращает отчет по выполенению действия.
    `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `void` | `setRequest(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AdditionalActionEvent

          protected AdditionalActionEvent()

    - #### AdditionalActionEvent

          public AdditionalActionEvent(int cid,
                                       int actionId,
                                       int userId)

      Констркутор события.
      Parameters:
        `cid` - - id договора
        `actionId` - - id доп. действия договора
        `userId` - - id пользователя, сгенерировавшего событие

  - ### Method Detail

    - #### getActionId

          public int getActionId()

      Возвращает код доп. действия договора.
      Returns:
        actionId - код доп. действия

    - #### addReport

          public void addReport(java.lang.String value)

      Добавление текста в отчет по выполнению действия.
      Parameters:
        `value` - - текст

    - #### getReport

          public java.lang.String getReport()

      Возвращает отчет по выполенению действия.
      Функция вызвыается биллингом после выполнения доп. действия.
      Отчет отображается пользователю либо оператору.
      Returns:
        report - отчет

    - #### getRequest

          public javax.servlet.http.HttpServletRequest getRequest()

    - #### setRequest

          public void setRequest(javax.servlet.http.HttpServletRequest request)